Results 1 to 2 of 2

Thread: draw a line in the point line style

  1. #1
    Member
    Join Date
    2006-03
    Posts
    13
    Login to Give a bone
    0

    Default draw a line in the point line style

    I need to be able to draw a line in the point line style
    here is what I am currently doing to draw the line

    i would like for these to be points not a line

    PTb_sideC = txtradtoctr + (txtwidth / 2)
    PTb_sideb_1 = (txtlength / 2) - (totalpoints * 6)
    Ptb_sideA = Sqr((PTb_sideb_1 * PTb_sideb_1) + (PTb_sideC * PTb_sideC))
    PTb_angle = Atn(PTb_sideb_1 / PTb_sideC)

    basePnt(0) = 0#: basePnt(1) = 0#: basePnt(2) = 0#
    angle = (1.5708 - (txtangle * 180 / pi)) - (PTb_angle * deckangleflat)
    distance = deckflatlengthnum * Ptb_sideA
    polarPnt = ThisDrawing.Utility.PolarPoint(basePnt, angle, distance)
    Set lineObj = ThisDrawing.ModelSpace.AddLine(basePnt, polarPnt)

  2. #2
    Member
    Join Date
    2006-03
    Posts
    13
    Login to Give a bone
    0

    Default Re: draw a line in the point line style

    i have come up a solution

    thanks

Similar Threads

  1. Can't draw line to a point with DYN on.
    By eed in forum AutoCAD General
    Replies: 2
    Last Post: 2007-04-23, 06:25 PM
  2. Replies: 10
    Last Post: 2007-03-23, 01:50 AM
  3. Draw a Line given 1 point and an angle
    By tany0070 in forum AutoLISP
    Replies: 7
    Last Post: 2007-03-13, 08:38 AM
  4. Draw line from known point to unknown point
    By noadea in forum AutoLISP
    Replies: 1
    Last Post: 2007-02-09, 02:38 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •